Package uk.ac.starlink.topcat.plot2

## Interface Configger

- All Known Implementing Classes:
    `AxisController`, `BasicCoordLayerControl`, `CartesianAxisController`, `ConfigControl`, `CubeAxisController`, `DatalessLayerControl`, `FrameControl`, `FunctionLayerControl`, `HealpixLayerControl`, `HistogramAxisController`, `PlaneAxisController`, `ShaderControl`, `SkyAxisController`, `SpectrogramLayerControl`, `TimeAxisController`

      public interface Configger

  Source of a config map.
  Since:
    12 Mar 2013
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.ttools.plot2.config.ConfigMap` | `getConfig()` | Returns a configuration map.

- - ### Method Detail

    - #### getConfig

          uk.ac.starlink.ttools.plot2.config.ConfigMap getConfig()

      Returns a configuration map. Calling this method will typically gather information from a GUI to return.
      Returns:
        config map

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.